﻿/* From About */
#aboutList {
    padding:5px 5px 5px 40px;
    font-size:18px;
}
li{
    padding-bottom:0px !important;
}

.links{
    margin-top: 5px;    
    display:inline-block;
    padding: 5px;
}

/* For Charts */
#noDataDiv {
    display: none;
    position: center;
    text-align: center;
}
#loadingDiv {
    display: inline-block;
    margin-left: 250px;
    margin-top: 100px;
}
.well{
    background-color: #fff;
}

.large-right-margin{
    margin-right: 40px;
}

/* CSS For the Charts.cshtml page */
.chart {
    float: left;
    clear: right;
    border: 1px solid grey;
    margin-bottom: 10px;
    margin-right: 10px;
    padding-top: 20px;
    width: 100%;
}
.chart > label {
    text-align: center;
    width: 100%;
}
.chart .labelValue {
    font-weight: bold;
    /*width: 25px;*/
    display: inline-block;
    margin-left: 5px;
}
.chartTitle {
    margin-bottom: 5px;
    margin-top: 5px;
    margin-left: 10px;
    width: 100%;
}
.nvd3graph{
    width: 100%;
    height: 420px;
}
.sliderDiv{
    width:85%;
    height:50px;
    padding:10px;
    display: inline-block;
}
.slider{
    width: 90%;
}
label{
    display: inline-block;
    padding: 10px;
}
.smallLabel{
    width: 10%;
}
.mediumLabel {
  width: 20%;
}
.bigLabel{
    width: 100%;
}
.tooltipRow{
    display:table;
    margin: 3px;
}
.tooltipKey{
    float: left;
    margin: 3px;
}
.tooltipValue{
    float: right;
    font-weight:700;
    margin: 3px;
    padding-left: 3px;
}
#tooltipConc{
    color:rgb(44,160,44);
}

body {
    padding-top: 50px;
    padding-bottom: 20px;
    height: 100%;
    width: 100%;
}
html{
    height: 100%;
    width: 100%;
}

text.nv-axislabel{
    font-size: 16px !important;
}


/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
.form-control,
/*select,*/
textarea {
    max-width: 200px;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 10px;
    padding-right: 10px;
    min-height: 100%;
    height: 100%;
    width: 100%;
}
/* From Map */
/* From Index */
#mapDiv{
    height: 100%;
    width: 100%;
}
.fillMapContainer{
    position: relative;
    max-width: 100%;
    min-height: 100%;
    height: 100%;
    overflow: hidden;
    padding: 0;
    /*Need to add 20px to bottom to get rid of white space*/
    height: -webkit-calc(100% + 20px);
    height:    -moz-calc(100% + 20px);
    height:         calc(100% + 20px);
}

/* From Spill Run */
.invisible{
    display: none;
}
.fullWidth {
    width:100%!important;
}
.darkerLink {
    color: rgb(40, 97, 147);
}
#btnSimulate {
    padding:initial;
    width:100px;
}
.inline-block {
    display: inline-block !important;
    margin-top:5px;
}
.smallMarginTop {
    margin-top:10px;
    padding:initial;
}

/* From SimParam */
/* From Create */
#collapsebutton {
    margin:10px 10px 10px 10px;
}
.narrow{
    width:40%;
}

#closeButtonImage{
    cursor:pointer;
    float:right;
    display:inline-block;
    margin-right:18px;
}
/* Other CSS */
.Infobox{
    width: 260px;
    height:120px;
}
infobox-info{
    min-height: unset;
}
/* After changing the default infobox settings, shift the little arrow up a few pixels*/
.infobox-stalk{
    margin-top: 3px;
}

#siteTypeLegend {
    position:absolute;
    max-width: 200px;
    /* Map color is 241, 242, 236 instead of white */
    background-color:rgba(241, 242, 236, .85);
    left: 3%;
    top: 12%;
    z-index: 1;
    padding:5px;
}
#rsmsOff, #usgsOff, #samplingStationOff{
    display: none;
}
.ui-dialog-content {
    border: 0;
    padding: .5em 1em;
    background: #ffffff;
    overflow: auto;
    zoom: 1;
}

.ui-dialog-titlebar {
    padding-left:1em;
    padding-top:1em;
    overflow: auto;
    zoom: 1;
}

.ui-dialog {
    position:center;
    background: #ffffff;
}
.ui-dialog-titlebar-close {
    position: absolute;
    right: 10px;
    top: 5%;
    width: 50px;
    margin: -10px 0 0 0;
    padding: 1px;
    height: 20px;
}

/* From RSMSFlow */
#selectRiver{
    /*margin-top:22px;
    margin-bottom: 30px;
    margin-right: 5px;
    display:inline-block;*/
}
#flowDesc{
    display:inline-block;
}

/* From Role */
#tbrole, .c {
    border: double;
}


/* Custom css for nvd3 */
.nvd3-svg {
  display: block;
  margin: 0px;
  padding: 0px;
  height: 400px;
  width: 100%;
}
.dashed {
  stroke-dasharray: 5, 5;
}
.tick line{ 
  stroke: black
}

.highlight{
    background-color: lightgrey;
    font-weight: bolder;
}
.removeHighlight{
    background-color: #fff;
    font-weight: normal;
}

.clickableTable tr:hover{
    cursor:pointer;
    background-color: #f5f5f5;
}
.clickableTable tr:first-child:hover{
    cursor:default;
    background-color: #fff;
}
.extraBold{
      font-weight: 900;
}

/* Scroller CSS */
input[type=range] {
  -webkit-appearance: none;
  width: 100%;
  margin: 4.9px 0;
}
input[type=range]:focus {
  outline: none;
}
input[type=range]::-webkit-slider-runnable-track {
  width: 100%;
  height: 8.2px;
  cursor: pointer;
  box-shadow: 1.4px 1.4px 7.3px #000000, 0px 0px 1.4px #0d0d0d;
  background: #dcdcdc;
  border-radius: 14.6px;
  border: 0.2px solid #010101;
}
input[type=range]::-webkit-slider-thumb {
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
  border: 0.7px solid #000000;
  height: 18px;
  width: 18px;
  border-radius: 50px;
  background: #828282;
  cursor: pointer;
  -webkit-appearance: none;
  margin-top: -5.1px;
}
input[type=range]:focus::-webkit-slider-runnable-track {
  background: #eeeeee;
}
input[type=range]::-moz-range-track {
  width: 100%;
  height: 8.2px;
  cursor: pointer;
  box-shadow: 1.4px 1.4px 7.3px #000000, 0px 0px 1.4px #0d0d0d;
  background: #dcdcdc;
  border-radius: 14.6px;
  border: 0.2px solid #010101;
}
input[type=range]::-moz-range-thumb {
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
  border: 0.7px solid #000000;
  height: 18px;
  width: 18px;
  border-radius: 50px;
  background: #828282;
  cursor: pointer;
}
input[type=range]::-ms-track {
  width: 100%;
  height: 8.2px;
  cursor: pointer;
  background: transparent;
  border-color: transparent;
  color: transparent;
}
input[type=range]::-ms-fill-lower {
  background: #cacaca;
  border: 0.2px solid #010101;
  border-radius: 29.2px;
  box-shadow: 1.4px 1.4px 7.3px #000000, 0px 0px 1.4px #0d0d0d;
}
input[type=range]::-ms-fill-upper {
  background: #dcdcdc;
  border: 0.2px solid #010101;
  border-radius: 29.2px;
  box-shadow: 1.4px 1.4px 7.3px #000000, 0px 0px 1.4px #0d0d0d;
}
input[type=range]::-ms-thumb {
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
  border: 0.7px solid #000000;
  height: 18px;
  width: 18px;
  border-radius: 50px;
  background: #828282;
  cursor: pointer;
  height: 8.2px;
}
input[type=range]:focus::-ms-fill-lower {
  background: #dcdcdc;
}
input[type=range]:focus::-ms-fill-upper {
  background: #eeeeee;
}
tr:hover{
    background-color: lightgrey;
    cursor:pointer;
}
.simParamInputTextboxes{
    width:200px;
}
.wrapper { 
  overflow:hidden;
}

.wrapper div {
  
}
#one {
  float:left; 

  }
#two { 
  overflow:hidden;
 
  }

@media screen and (max-width: 400px) {
   #one { 
    float: none;
    margin-right:0;
    width:auto;
    border:0;  
  }
}

/* This section of the css handles the responsive design of the topnav header */
@media (max-width: 934px) {
    .navbar-header {
        float: none;
    }
    .navbar-left,.navbar-right {
        float: none !important;
    }
    .navbar-toggle {
        display: block;
    }
    .navbar-collapse {
        border-top: 1px solid transparent;
        box-shadow: inset 0 1px 0 rgba(255,255,255,0.1);
        height: auto;
        /*min-height: 50px !important;*/
        min-height: 50px;
    }
    .navbar-fixed-top {
        top: 0;
        border-width: 0 0 1px;
    }
    .navbar-collapse.collapse {
        display: none!important;
    }
    .navbar-nav {
        float: none!important;
        margin-top: 7.5px;
    }
    .navbar-nav>li {
        float: none;
    }
    .navbar-nav>li>a {
        padding-top: 10px;
        padding-bottom: 0px !important;
    }
    .collapse.in{
          display:block !important;
    }
}